class MMConverter
  require 'json'
  require 'MMGeneral'
  require 'MMLocation'
  def self.convert( locs, system )
    path_str = '/API/convert/1.2/'+MM_CLIENT_NAME+'?output=json';
    index = 1
    locs.each do |l|
      path_str += l.toAPIQueryString(index)
      index = index + 1
    end
    if system
      path_str += '&system='+URI.escape(system,/[^0-9a-zA-Z\-]/)
    end
    print path_str+"\n"
    res = Net::HTTP.start( MM_HOST_NAME, 80 ) { |http|
      http.get(path_str)
    }
    results = JSON.parse( res.body )
    result_set = []
    if results and results['result_set']
      results['result_set'].each do |r|
        l = MMLocation.new
        l.fromJSON(r)
        result_set.push(l)
      end
    end
    return result_set
  end
end
